Bug 139359 - Installer crashed (sorry, I know that's bad)
Installer crashed (sorry, I know that's bad)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 10:57 EST by Harold Naparst
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:10:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Anaconda dump (73.61 KB, text/plain)
2004-11-15 10:59 EST, Harold Naparst
no flags Details

  None (edit)
Description Harold Naparst 2004-11-15 10:57:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
See attached dump.

Version-Release number of selected component (if applicable):
Fedora Core 3 main release

How reproducible:
Didn't try

Steps to Reproduce:
1.  Install FC3 as upgrade to FC2 on AMD Athlon 64, without
reformatting  EXT3 partitions.  Partitions are:  /boot, /, and swap.
2.
3.
    

Actual Results:  Anaconda dumped core

Expected Results:  Zarro boogs.

Additional info:
Comment 1 Harold Naparst 2004-11-15 10:59:27 EST
Created attachment 106714 [details]
Anaconda dump

Anaconda dumped this file and suggested that I file a bug report.
Comment 2 Jeremy Katz 2004-11-15 11:09:28 EST
What did you select as your partitioning options?
Comment 3 Harold Naparst 2004-11-15 11:27:41 EST
Manually partition with Disk Druid.  Keep existing data, do not format.
Partitions are /boot (ext3), / (ext3), and swap.  

The workaround is to reformat the partitions, losing all data.  Not
much of a workaround for people trying to upgrade.
Comment 4 Jeremy Katz 2004-11-15 11:36:05 EST
I don't actually see a partition being mounted as / in the dump.  Can
you try again and make sure that you select one to be /?
Comment 5 Harold Naparst 2004-11-15 13:10:58 EST
I've already installed it, so I'm not going to go back and re-install
in order to make it crash.  It might be that the label on the
partition was not assigned correctly in the Disk Druid step.  In order
to reproduce this, set the label on / to something else, like "FC3"
and then try to upgrade in Disk Druid, keeping all data.  

The install procedure could be a little more robust, checking the
user's choices to make sure the correct mount points have been chosen
and that the labels are correct.

However, the real question is whether an upgrade can be done at all. 
In order to install FC3, I had to do a clean install.
Comment 6 Jeremy Katz 2005-02-01 22:10:07 EST
This was fixed in CVS a week or three ago.

Note You need to log in before you can comment on or make changes to this bug.